Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class ServiceIdentification

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.ServiceIdentification

    public class ServiceIdentification

extends Object

Represents the `ServiceIdentification` section of the capabilities of an OGC compliant web service according to the `OGC Common Implementation Specification 0.2`. This section corresponds to and expands the SV_ServiceIdentification class in ISO 19119.

It consists of the following elements:

Name | Occurences | Function
--- | --- | ---
ServiceType | 1 | Useful to provide service type name useful for machine-to-machine communication
ServiceTypeVersion | 1-* | Useful to provide list of server-supported versions.
Title | 1 | Useful to provide a server title for display to a human.
Abstract | 0|1 | Usually useful to provide narrative description of server, useful for display to a human.
Keywords | 0-* | Often useful to provide keywords useful for server searching.
Fees | 0|1 | Usually useful to specify fees, or NONE if no fees.
AccessConstraints | 0-* | Usually useful to specify access constraints, or NONE if no access constraints.

Version:
  $Revision: 18195 $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`ServiceIdentification(Code serviceType, String[] serviceTypeVersions, String title, String serviceAbstract, Keywords[] keywords, String fees, String[] accessConstraints)` Constructs a new ServiceIdentification object.
`ServiceIdentification(String name, Code serviceType, String[] serviceTypeVersions, String title, String serviceAbstract, Keywords[] keywords, String fees, String[] accessConstraints)` Constructs a new ServiceIdentification object.

Method Summary
`String` | `getAbstract()` Returns the java representation of the Abstract-element.
`String[]` | `getAccessConstraints()` Returns the java representation of the AccessConstraints-elements.
`String` | `getFees()` Returns the java representation of the AccessConstraints-elements.
`Keywords[]` | `getKeywords()` Returns the java representation of the Keywords-elements.
`String` | `getName()`
`Code` | `getServiceType()` Returns the java representation of the ServiceType-element.
`String[]` | `getServiceTypeVersions()` Returns the java representation of the ServiceTypeVersion-elements.
`String` | `getTitle()` Returns the java representation of the Title-element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceIdentification

    public ServiceIdentification(String name,
                                 Code serviceType,
                                 String[] serviceTypeVersions,
                                 String title,
                                 String serviceAbstract,
                                 Keywords[] keywords,
                                 String fees,
                                 String[] accessConstraints)

  Constructs a new ServiceIdentification object.

  Parameters:
    `name` -
    `serviceType` -
    `serviceTypeVersions` -
    `title` -
    `serviceAbstract` - may be null
    `keywords` - may be an empty array or null
    `fees` - may be null
    `accessConstraints` - may be an empty array or null

### ServiceIdentification

    public ServiceIdentification(Code serviceType,
                                 String[] serviceTypeVersions,
                                 String title,
                                 String serviceAbstract,
                                 Keywords[] keywords,
                                 String fees,
                                 String[] accessConstraints)

  Constructs a new ServiceIdentification object.

  Parameters:
    `serviceType` -
    `serviceTypeVersions` -
    `title` -
    `serviceAbstract` - may be null
    `keywords` - may be an empty array or null
    `fees` - may be null
    `accessConstraints` - may be an empty array or null

Method Detail

### getServiceType

    public Code getServiceType()

  Returns the java representation of the ServiceType-element. In the XML document, this element has the type ows:CodeType.

  Returns:
    the java representation of the ServiceType-element. In the XML document, this element has the type ows:CodeType.

### getServiceTypeVersions

    public String[] getServiceTypeVersions()

  Returns the java representation of the ServiceTypeVersion-elements. In the XML document, these elements have the type ows:VersionType.

  Returns:
    the java representation of the ServiceTypeVersion-elements. In the XML document, these elements have the type ows:VersionType.

### getTitle

    public String getTitle()

  Returns the java representation of the Title-element. In the XML document, this element has the type string.

  Returns:
    the java representation of the Title-element. In the XML document, this element has the type string.

### getAbstract

    public String getAbstract()

  Returns the java representation of the Abstract-element. In the XML document, this element has the type string.

  Returns:
    the java representation of the Abstract-element. In the XML document, this element has the type string.

### getKeywords

    public Keywords[] getKeywords()

  Returns the java representation of the Keywords-elements. In the XML document, these elements have the type ows:Keyword.

  Returns:
    the java representation of the Keywords-elements. In the XML document, these elements have the type ows:Keyword.

### getFees

    public String getFees()

  Returns the java representation of the AccessConstraints-elements. In the XML document, these elements have the type string.

  Returns:
    the java representation of the AccessConstraints-elements. In the XML document, these elements have the type string.

### getAccessConstraints

    public String[] getAccessConstraints()

  Returns the java representation of the AccessConstraints-elements. In the XML document, these elements have the type string.

  Returns:
    the java representation of the AccessConstraints-elements. In the XML document, these elements have the type string.

### getName

    public String getName()

  Returns:
    Returns the name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org